/* -*-c-mode-*- */
/*------------------------------------------------------
 *  COPY_PLANE.C - Program to copy a plane file.  The format of the output 
 *		   plane file is always 'native'
 *  Robert Heller Created on Wed Jul 12 12:28:04 1989
 *  Last mod - 
 *--------------------------------------------------------
 *  Contents:
 *--------------------------------------------------------
 * (c) Copyright 1989 by The University of Massachusetts
 *------------------------------------------------------*/

#include <stdio.h>

#include <llvs_per_plane.h>

main(argc,argv)
int argc;
char *argv[];
{
    PLANE *inpl;
    PLANE_INFO *inpl_info;
    char *assoc;

    if (argc != 3) usage();
    if (read_plane(&inpl,&inpl_info,&assoc,argv[1]) < 0) {
	perror(argv[0]);
	exit(12);
	}
    if (write_plane(inpl,inpl_info,assoc,argv[2]) < 0) {
	perror(argv[0]);
	exit(12);
	}
    }

usage()
{
    fprintf(stderr,"SYNOPIS: copy_plane input_plane_file output_plane_file\n");
    fprintf(stderr,"This program copies the input_plane_file to the\n");
    fprintf(stderr,"output_plane_file.\n\n");
    exit(12);
    }
